> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List movements



## OpenAPI

````yaml get /api/public/movements
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/movements:
    get:
      tags:
        - movements
      summary: List movements
      operationId: WodUpWeb.PublicApi.MovementController.index
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 10.
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >-
            A cursor for use in pagination. `after_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `obj_foo`, your
            subsequent call can include `after_cursor=obj_foo` in order to fetch
            the next page of the list.
          example: ath_abcdef
          in: query
          name: after_cursor
          required: false
          schema:
            type: string
        - description: >-
            A cursor for use in pagination. `before_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, starting with `obj_bar`, your
            subsequent call can include `before_cursor=obj_bar` in order to
            fetch the previous page of the list.
          example: ath_abcdef
          in: query
          name: before_cursor
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMovementsResponse'
          description: Movement list
      callbacks: {}
components:
  schemas:
    ListMovementsResponse:
      example:
        - complex_details: null
          description: null
          has_calories: false
          has_distance: false
          has_duration: false
          has_height: false
          has_load: true
          has_power: false
          has_reps: true
          id: mv_fT0m3viH
          name: Back Squat
          source: wodup
          video:
            id: dQw4w9WgXcQ
            service: youtube
      items:
        $ref: '#/components/schemas/Movement'
      title: ListMovementsResponse
      type: array
    Movement:
      description: Movement object
      properties:
        complex_details:
          description: Movements in this complex
          items:
            properties:
              movement_id:
                description: Movement id
                type: string
              reps:
                description: Number of reps to perform
                type: integer
            required:
              - movement_id
              - reps
            type: object
          type: array
        description:
          description: Movement instructions / description
          type: string
        has_calories:
          description: Does this movement involve calories. E.g. Row
          type: boolean
        has_distance:
          description: Does this movement involve distance. E.g. Row
          type: boolean
        has_duration:
          description: Does this movement involve duration. E.g. Row or Weighted Plank Hold
          type: boolean
        has_height:
          description: Does this movement involve height. E.g. Box Jumps
          type: boolean
        has_load:
          description: >-
            Does this movement involve load. E.g. Back Squat or Weighted Plank
            Hold
          type: boolean
        has_power:
          description: Does this movement involve power. E.g. Row
          type: boolean
        has_reps:
          description: Does this movement involve reps. E.g. Push-Up or Back Squat
          type: boolean
        id:
          description: Movement ID
          type: string
        name:
          description: Movement name
          type: string
        source:
          description: >-
            Whether this movement is from the global WodUp library or a custom
            movement
          enum:
            - wodup
            - custom
          type: string
        video:
          properties:
            id:
              description: Video id
              type: string
            service:
              description: Video service
              enum:
                - vimeo
                - youtube
              type: string
          required:
            - id
            - service
          type: object
      title: Movement
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````